.view[name='request'] {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
}
.view[name='request'] > .header {
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    height: 64px;
}
.view[name='request'] > .header > .side:first-child > .button {
    padding: 24px;
}
.view[name='request'] > .header > .side:first-child > .button > img {
    display: block;
    height: 16px;
}
.view[name='request'] > .header > .center {
    display: inline-block;
    height: 100%;
    text-align: center;
}
.view[name='request'] > .header > .center > div {
    font-size: 18px;
    font-weight: bold;
    padding-top: 18px;
}
.view[name='request'] > .header > .side:last-child > .button {
    padding: 19.5px 16px;
    font-size: 16px;
    font-weight: 600;
}
.view[name='request'] > .content {
    position: absolute;
    top: 64px;
    right: 0;
    bottom: 0;
    left: 0;
    padding-top: 24px;
    overflow-y: auto;
    margin-right: auto;
    margin-left: auto;
}
.view[name='request'] > .content > .date {
    border-radius: 8px;
    overflow: hidden;
    display: inline-block;
    padding: 12px;
    margin-bottom: 16px;
}
.view[name='request'] > .content > .date > div {
    line-height: 24px;
}
.view[name='request'] > .content > .buttons > .button {
    margin-bottom: 12px;
    height: 62px;
    border-radius: 8px;
    display: inline-block;
}
.view[name='request'] > .content > .buttons > .button[locked] {
    opacity: 0.3;
}
.view[name='request'] > .content > .buttons > .button > .side.first {
    padding: 11px 4px;
    font-size: 13px;
    text-align: center;
    width: calc(100% - 28px);
}
.view[name='request'] > .content > .buttons > .button > .side:last-child {
    padding: 22px 8px;
    height: 100%;
    width: 28px;
}
.view[name='request'] > .content > .buttons > .button > .side:last-child > img {
    width: 12px;
}
.view[name='request'] > .content > .formWrapper {
    margin-right: 24px;
    margin-bottom: 16px;
    margin-left: 24px;
}
.view[name='request'] > .content > .formWrapper > .fForm > .fields {
    overflow: hidden;
}
.view[name='request'] > .content > .formWrapper > .fForm > .fields > .field:not(.relation) {
    width: 100%;
    margin-bottom: 8px;
}
.view[name='request'] > .content > .formWrapper > .fForm > .fields > .field.relation {
    width: 100%;
    margin-bottom: 12px;
}
.view[name='request'] > .content > .formWrapper > .fForm > .fields > .field[key='contractKeys'],
.view[name='request'] > .content > .formWrapper > .fForm > .fields > .field > label {
    display: none;
}
.view[name='request'] > .content > .formWrapper > .fForm > .fields > .field > input,
.view[name='request'] > .content > .formWrapper > .fForm > .fields > .field > select {
    border-radius: 8px;
    padding: 18px 10.5px;
    width: 100%;
}
.view[name='request'] > .content > .formWrapper > .fForm > .fields > .field > select {
    border: 0;
}
.view[name='request'] > .content > .formWrapper > .fForm > .fields > .field > .inputWrapper {
    width: 150px;
    display: inline-block;
    vertical-align: middle;
}
.view[name='request'] > .content > .formWrapper > .fForm > .fields > .field > .inputWrapper > img {
    top: 12.5px;
    width: 18px;
}
.view[name='request'] > .content > .formWrapper > .fForm > .fields > .field > .inputWrapper > .calendar {
    display: inline-block;
    vertical-align: middle;
}
.view[name='request'] > .content > .formWrapper > .fForm > .fields > .field[key='bookingDate'] > .button {
    padding: 12px;
    border-radius: 8px;
    display: inline-block;
    vertical-align: middle;
    font-weight: 500;
    /* enabled temporarily */
    display: none;
}
.view[name='request'] > .content > .formWrapper > .fForm > .fields > .field[key='bookingDate'] > .button > .location {
    width: 16px;
    height: 16px;
    display: inline-block;
    vertical-align: middle;
}
.view[name='request'] > .content > .formWrapper > .fForm > .fields > .field[key='bookingDate'] > .button > .arrow {
    width: 12px;
    height: 12px;
    display: inline-block;
    vertical-align: middle;
}
.view[name='request'] > .content > .formWrapper > .fForm > .fields > .field[key='paymentMethod'] {
    clear: both;
}
.view[name='request'] > .content > .formWrapper > .fForm > .fields > .field[key='bookingDate'] > .inputWrapper > input {
    border-radius: 8px;
}
.view[name='request'] > .content > .formWrapper > .fForm > .fields > .field[key="bookingDate"] > .inputWrapper > img:last-child {
    display: none;
}
.view[name='request'] > .content > .formWrapper > .fForm > .fields > .field[key='paidAt'] > .inputWrapper > input {
    border-radius: 8px;
    padding: 18px 43px 18px 10.5px;
}
.view[name='request'] > .bottomSheet[key='payablePrice'] > .content > .tableWrapper {
    margin-bottom: 16px;
}
.view[name='request'] > .bottomSheet[key='payablePrice'] > .content > .tableWrapper > .fTable > .content > table {
    width: 100%;
}
.view[name='request'] > .bottomSheet[key='payablePrice'] > .content > .tableWrapper > .fTable > .content > table > thead > tr > th {
    text-align: center;
    pointer-events: none;
}
.view[name='request'] > .bottomSheet[key='payablePrice'] > .content > .tableWrapper > .fTable > .content > table > thead > tr > th[key='raceStartsAt'],
.view[name='request'] > .bottomSheet[key='payablePrice'] > .content > .tableWrapper > .fTable > .content > table > tbody > tr > td[key='raceStartsAt'] {
    display: none;
}
.view[name='request'] > .bottomSheet[key='payablePrice'] > .content > .tableWrapper > .fTable > .content > table > tbody > tr > td {
    padding-top: 6px;
    padding-bottom: 6px;
}
.view[name='request'] > .bottomSheet[key='payablePrice'] > .content > .tableWrapper > .fTable > .content > table > tbody > tr > td[key='quantity'] {
    display: flex;
    justify-content: space-evenly;
}
.view[name='request'] > .bottomSheet[key='payablePrice'] > .content > .tableWrapper > .fTable > .content > table > tbody > tr > td > .button {
    border-radius: 16px;
}
.view[name='request'] > .bottomSheet[key='payablePrice'] > .content > .tableWrapper > .fTable > .content > table > tbody > tr > td > .button > img {
    width: 26px;
    padding: 6px;
}
.view[name='request'] > .bottomSheet[key='payablePrice'] > .content > .tableWrapper > .fTable > .content > table > tbody > tr > td > .quantity {
    padding: 2px 16px;
    min-width: 45px;
}
.view[name='request'] > .bottomSheet[key='payablePrice'] > .content > .price {
    font-weight: 600;
    font-size: 21px;
    margin-bottom: 24px;
}
.view[name='request'] > .bottomSheet[key='payablePrice'] > .content > .button {
    text-align: center;
    border-radius: 16px;
    padding: 18px 24px;
    font-weight: 600;
}
#panel[ids='clearReservation'] {
    width: 320px;
    padding: 24px;
    text-align: center;
    border-radius: 20px;
    top: 50%;
    bottom: unset;
    left: 50%;
    transform: translate(-50%, -50%);
}
#panel[ids='clearReservation'] > .content > .imageWrapper {
    padding: 12px;
    display: inline-block;
    margin-right: auto;
    margin-bottom: 6px;
    margin-left: auto;
    border-radius: 8px;
}
#panel[ids='clearReservation'] > .content > .imageWrapper > img {
    width: 20px;
    height: 20px;
    display: block;
}
#panel[ids='clearReservation'] > .content > .title {
    margin-bottom: 8px;
    font-weight: 700;
    font-size: 18px;
    text-align: center;
}
#panel[ids='clearReservation'] > .content > .description {
    margin-bottom: 16px;
    font-weight: 500;
}
#panel[ids='clearReservation'] > .content > .buttons {
    overflow: hidden;
}
#panel[ids='clearReservation'] > .content > .buttons > .button,
#panel[ids='signOut'] > .content > .buttons > .button {
    padding: 16px;
}
#panel[ids='clearReservation'] > .content > .buttons > .button {
    font-weight: 600;
    border-radius: 10px;
    width: calc(50% - 6px);
}
#panel[ids='pay'] {
    padding: 0;
    z-index: 2010;
}
#panel[ids='pay'] > .content,
#panel[ids='pay'] > .content > iframe {
    width: 100%;
    height: 100%;
}
#panel[ids='pay'] > .content > iframe {
    border: 0;
}

@media (max-width: 799px) {
    .view[name='request'] {
        width: 100%;
    }
}
@media (min-width: 800px) {
    .view[name='request'],
    .view[name='request'] > .bottomSheet[key='payablePrice'] {
        width: 480px;
    }
}